中危 Oracle MySQL Server堆溢出漏洞

CVE编号

CVE-2012-5612

利用情况

EXP 已公开

补丁情况

没有补丁

披露时间

2012-12-04
该漏洞EXP已公开传播,漏洞利用成本极低,建议您立即关注并修复。
漏洞描述
MySQL是一款开源关系型数据库管理系统。MariaDB是一个采用Maria存储引擎的MySQL分支版本。MySQL/MariaDB存在基于堆的缓冲区溢出,允许通过验证的用户触发堆破坏漏洞,使后台程序崩溃或可能执行任意代码。利用USE, SHOW TABLES, DESCRIBE, SHOW FIELDS FROM, SHOW COLUMNS FROM, SHOW INDEX FROM, CREATE TABLE, DROP TABLE, ALTER TABLE, DELETE FROM, UPDATE和SET PASSWORD命令可触发此漏洞。
解决建议
用户可参考如下厂商提供的安全公告获得补丁信息:http://www.oracle.com/technetwork/topics/security/cpujan2013-1515902.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mariadb mariadb 5.5.28a -
运行在以下环境
应用 oracle mysql 5.5.19 -
运行在以下环境
系统 linux linux * -
运行在以下环境
系统 sles_11 libmysqlclient15 * Up to
(excluding)
5.0.96-0.6
运行在以下环境
系统 suse_11 libmysqlclient15 * Up to
(excluding)
5.0.96-0.6
运行在以下环境
系统 ubuntu_12.04.5_lts mysql-5.5 * Up to
(excluding)
5.5.29-0ubuntu0.12.04.1
运行在以下环境
系统 ubuntu_12.04_lts mysql-5.5 * Up to
(excluding)
5.5.29-0ubuntu0.12.04.1
阿里云评分
4.4
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    EXP 已公开
  • 补丁情况
    没有补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况